"use strict";
/*
 NOTE require('foo') is a spec-compliant JS or native function. However, if the function’s behavior depends on
 a receiver (a “this” value), then the first argument to this function will be used as that receiver. The package
 should indicate if this is the case in its README.
 */
const implementation = require("./implementation");
const getPolyfill = require("./polyfill");
const shim = require("./shim");
const polyfill = getPolyfill();
function exec(regexp, string) {
    return polyfill.call(regexp, string);
}
exec.implementation = implementation;
exec.getPolyfill = getPolyfill;
exec.shim = shim;
(function (exec) {
})(exec || (exec = {}));
module.exports = exec;
//# sourceMappingURL=index.js.map